Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# CIAO::Context_Impl< BASE_CTX, SVNT, COMP, COMP_VAR > Class Template Reference

Mixin base class for generated context. More...

`#include <Context_Impl_T.h>`

Inheritance diagram for CIAO::Context_Impl< BASE_CTX, SVNT, COMP, COMP_VAR >:

[legend]
Collaboration diagram for CIAO::Context_Impl< BASE_CTX, SVNT, COMP, COMP_VAR >:

[legend]
List of all members.

## Public Member Functions
| Context_Impl (Components::CCMHome_ptr home, Session_Container *c, SVNT *sv)
virtual | ~Context_Impl (void)
virtual CORBA::Object_ptr | get_CCM_object (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Components::IllegalState)
## Protected Attributes
SVNT * | servant_
COMP_VAR | component_

## Detailed Description

### template<typename BASE_CTX, typename SVNT, typename COMP, typename COMP_VAR>
class CIAO::Context_Impl< BASE_CTX, SVNT, COMP, COMP_VAR >

Mixin base class for generated context.

This class implements operations and contains parameterized members common to all generated servants.

## Constructor & Destructor Documentation

template<typename BASE_CTX, typename SVNT, typename COMP, typename COMP_VAR>
CIAO::Context_Impl< BASE_CTX, SVNT, COMP, COMP_VAR >::Context_Impl | ( | Components::CCMHome_ptr | home,
|  | Session_Container * | c,
|  | SVNT * | sv
| ) |

template<typename BASE_CTX, typename SVNT, typename COMP, typename COMP_VAR>
CIAO::Context_Impl< BASE_CTX, SVNT, COMP, COMP_VAR >::~Context_Impl | ( | void |  | ) | `[virtual]`

## Member Function Documentation

template<typename BASE_CTX, typename SVNT, typename COMP, typename COMP_VAR>
CORBA::Object_ptr CIAO::Context_Impl< BASE_CTX, SVNT, COMP, COMP_VAR >::get_CCM_object | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException, Components::IllegalState)`[virtual]`

## Member Data Documentation

template<typename BASE_CTX, typename SVNT, typename COMP, typename COMP_VAR>
COMP_VAR CIAO::Context_Impl< BASE_CTX, SVNT, COMP, COMP_VAR >::component_`[protected]`

| Reimplemented in CIAO::Upgradeable_Context_Impl< BASE_CTX, SVNT, COMP, COMP_VAR >.

template<typename BASE_CTX, typename SVNT, typename COMP, typename COMP_VAR>
SVNT* CIAO::Context_Impl< BASE_CTX, SVNT, COMP, COMP_VAR >::servant_`[protected]`

| Reimplemented from CORBA::Object. Reimplemented in CIAO::Upgradeable_Context_Impl< BASE_CTX, SVNT, COMP, COMP_VAR >.

The documentation for this class was generated from the following files:

- Context_Impl_T.h
- Context_Impl_T.cpp